/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */


using System;
using System.Collections;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.IO;
using System.Runtime.Serialization;
using System.Text;
using System.Text.RegularExpressions;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;
using Newtonsoft.Json.Linq;
using System.ComponentModel.DataAnnotations;
using OpenAPIDateConverter = Coscine.ApiClient.Core.Client.OpenAPIDateConverter;

namespace Coscine.ApiClient.Core.Model
{
    /// <summary>
    /// Defines the various types of messages.
    /// </summary>
    /// <value>Defines the various types of messages.</value>
    [JsonConverter(typeof(StringEnumConverter))]
    public enum MessageType
    {
        /// <summary>
        /// Enum Disturbance for value: Disturbance
        /// </summary>
        [EnumMember(Value = "Disturbance")]
        Disturbance = 1,

        /// <summary>
        /// Enum PartialDisturbance for value: PartialDisturbance
        /// </summary>
        [EnumMember(Value = "PartialDisturbance")]
        PartialDisturbance = 2,

        /// <summary>
        /// Enum Maintenance for value: Maintenance
        /// </summary>
        [EnumMember(Value = "Maintenance")]
        Maintenance = 3,

        /// <summary>
        /// Enum PartialMaintenance for value: PartialMaintenance
        /// </summary>
        [EnumMember(Value = "PartialMaintenance")]
        PartialMaintenance = 4,

        /// <summary>
        /// Enum LimitedOperation for value: LimitedOperation
        /// </summary>
        [EnumMember(Value = "LimitedOperation")]
        LimitedOperation = 5,

        /// <summary>
        /// Enum Interruption for value: Interruption
        /// </summary>
        [EnumMember(Value = "Interruption")]
        Interruption = 6,

        /// <summary>
        /// Enum Change for value: Change
        /// </summary>
        [EnumMember(Value = "Change")]
        Change = 7,

        /// <summary>
        /// Enum Hint for value: Hint
        /// </summary>
        [EnumMember(Value = "Hint")]
        Hint = 8,

        /// <summary>
        /// Enum Warning for value: Warning
        /// </summary>
        [EnumMember(Value = "Warning")]
        Warning = 9,

        /// <summary>
        /// Enum Information for value: Information
        /// </summary>
        [EnumMember(Value = "Information")]
        Information = 10
    }

}
